Re-running installer on Ubuntu 12.04 removes javascript-common.conf
Assignee:    
Target version:    
Description

When re-running the installer on Ubuntu 12.04, it removes a javascript-common.conf file, which apparently comes from the

javascript-common package.

# [ WARN 2014-07-08 06:00:57 verbose]  /Stage[main]/Apache/File[/etc/apache2/conf.d/javascript-com

mon.conf]/ensure: removed

# [ INFO 2014-07-08 06:00:57 verbose]  /etc/apache2/conf.d: Scheduling refresh of Class[Apache::Se

rvice]

# [ INFO 2014-07-08 06:01:04 verbose]  Class[Apache::Service]: Scheduling refresh of Service[httpd

]

# [ WARN 2014-07-08 06:01:08 verbose]  /Stage[main]/Apache::Service/Service[httpd]: Triggered 'ref

resh' from 1 events

History

#1 - 07/08/2014 03:13 AM - Dominic Cleal

Correction, it also happens on Debian 6 (squeeze), but not 7 or 14.04.

# [ WARN 2014-07-08 06:01:44 verbose]  /Stage[main]/Apache/File[/etc/apache2/conf.d/javascript-common.conf]/en

sure: removed

# [ INFO 2014-07-08 06:01:44 verbose]  /etc/apache2/conf.d: Scheduling refresh of Class[Apache::Service]

# [ INFO 2014-07-08 06:01:53 verbose]  Class[Apache::Service]: Scheduling refresh of Service[httpd]

# [ WARN 2014-07-08 06:01:57 verbose]  /Stage[main]/Apache::Service/Service[httpd]: Triggered 'refresh' from 1

 events

#2 - 07/24/2014 06:54 AM - Dominic Cleal

- Priority changed from Normal to Low

javascript-common is installed indirectly by the Passenger package, but that happens after purging of the Apache config files I think.  Newer releases

don't install javascript-common, so the issue's gone away.

https://github.com/theforeman/foreman-bats/pull/32 ignores the failure in BATS.

#3 - 10/17/2016 05:34 AM - Dominic Cleal

- Status changed from New to Rejected

No longer a supported OS.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

https://github.com/theforeman/foreman-bats/pull/32
http://www.tcpdf.org

